package com.ruoyi.ems.service.impl;

import com.ruoyi.ems.domain.EmsObjAbilityCallLog;
import com.ruoyi.ems.mapper.EmsObjAbilityCallLogMapper;
import com.ruoyi.ems.service.IEmsObjAbilityCallLogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 能源对象能力调用日志Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-27
 */
@Service
public class EmsObjAbilityCallLogServiceImpl implements IEmsObjAbilityCallLogService {
    @Resource
    private EmsObjAbilityCallLogMapper objAbilityCallLogMapper;

    @Override
    public EmsObjAbilityCallLog selectLogById(Long id) {
        return objAbilityCallLogMapper.selectObjAbilityCallLogById(id);
    }

    @Override
    public List<EmsObjAbilityCallLog> selectLogList(EmsObjAbilityCallLog param) {
        return objAbilityCallLogMapper.selectObjAbilityCallLog(param);
    }

    @Override
    public int addLog(EmsObjAbilityCallLog objAbilityCallLog) {
        return objAbilityCallLogMapper.insertObjAbilityCallLog(objAbilityCallLog);
    }

    @Override
    public int updateLog(EmsObjAbilityCallLog objAbilityCallLog) {
        return objAbilityCallLogMapper.updateObjAbilityCallLog(objAbilityCallLog);
    }
}
